[8.09] [packages] merge r15528 (closes: #5852)
[openwrt/svn-archive/archive.git] / net / bahamut / patches / 001-cross_compile.patch
1 --- a/Makefile.in
2 +++ b/Makefile.in
3 @@ -23,8 +23,8 @@
4 ENGINE=@SENGINE@
5
6 SHELL=/bin/sh
7 -SUBDIRS=zlib src doc tools
8 -INSTDIRS=src doc tools
9 +SUBDIRS=src
10 +INSTDIRS=src doc
11 CLEANSUBDIRS=src tools
12
13 CC=@CC@
14 --- a/configure
15 +++ b/configure
16 @@ -6197,8 +6197,7 @@
17 { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
18 See \`config.log' for more details." >&5
19 echo "$as_me: error: cannot run test program while cross compiling
20 -See \`config.log' for more details." >&2;}
21 - { (exit 1); exit 1; }; }
22 +See \`config.log' for more details." >&2;} }
23 else
24 cat >conftest.$ac_ext <<_ACEOF
25 #line $LINENO "configure"
26 --- a/src/Makefile.in
27 +++ b/src/Makefile.in
28 @@ -1,8 +1,8 @@
29 CC=@CC@
30 RM=@RM@
31 MV=@MV@
32 -IRCDLIBS=@LIBS@ ../zlib/libz.a
33 -INCLUDEDIR=-I../include
34 +IRCDLIBS=-lresolv -lz @LIBS@ -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib
35 +INCLUDEDIR=-I../include -I$(STAGING_DIR)/usr/include
36 OPENSSLINC=@SSL_INCLUDES@
37 ENGINE=@SENGINE@
38 CRYPTO=@ENCRYPT_SRC@
39 @@ -11,10 +11,10 @@
40 INSTALL_DIR=@INSTALL_DIR@
41 CFLAGS=@CFLAGS@
42
43 -RES_SRC =
44 +#RES_SRC =
45
46 #This is only for very old systems that NEED this
47 -#RES_SRC = res_mkquery.c res_init.c res_comp.c
48 +RES_SRC = res_mkquery.c res_init.c res_comp.c
49
50 SOURCES = blalloc.c bsd.c channel.c clientlist.c clones.c confparse.c \
51 fdlist.c fds.c hash.c hide.c inet_addr.c ircd.c ircsprintf.c \
52 @@ -22,7 +22,7 @@
53 m_who.c match.c memcount.c modules.c packet.c parse.c pcre.c \
54 probability.c res.c s_auth.c s_bsd.c s_conf.c s_debug.c s_err.c \
55 s_misc.c s_numeric.c s_serv.c s_user.c sbuf.c scache.c send.c \
56 - struct.c support.c throttle.c userban.c whowas.c zlink.c \
57 + struct.c support.c throttle.c userban.c whowas.c zlink.c $(RES_SRC) \
58 $(ENGINE) $(CRYPTO)
59
60 OBJECTS = $(SOURCES:.c=.o) version.o
61 --- a/src/res_comp.c
62 +++ b/src/res_comp.c
63 @@ -231,7 +231,7 @@
64 * the first name on the list, not the pointer to the start of the
65 * message.
66 */
67 -int staticdn_find(u_char *exp_dn, u_char *msg, u_char **dnptrs,
68 +static int dn_find(u_char *exp_dn, u_char *msg, u_char **dnptrs,
69 u_char **lastdnptr)
70 {
71 u_char *dn, *cp, **cpp;
72 --- a/zlib/Makefile.in
73 +++ b/zlib/Makefile.in
74 @@ -69,7 +69,7 @@
75
76 build: libz.a
77 libz.a: $(OBJS) $(OBJA)
78 - $(AR) $@ $(OBJS) $(OBJA)
79 + $(AR) rcv $@ $(OBJS) $(OBJA)
80 -@ ($(RANLIB) $@ || true) >/dev/null 2>&1
81
82 match.o: match.S